
.tabs {
    --tabcolor-border: #aaa;
    --tabbtn-selectedcolor: orange;
    font-size: 1.25rem;
}

/* Cambios en la disposición de las pestañas */
.tabs__buttons {
    display: grid;
    gap: 0;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
}

/* Cambios en cada botón del tab */
.tabs__tabbutton {
    text-align: center;
    background-color: #eee;
    font-weight: normal;
    color: #666;
    border-radius: 0;
    border: 1px solid var(--tabcolor-border);
    margin-top: 1em;

    transition: background-color 0.5s ease,
                color 0.5s ease,
                margin-top 0.1s ease;
}

/* Cambios en Cada botón del tab cuando pasas por encima */
.tabs__tabbutton:hover {
    background-color: #e1e1e1;
    color: black;
}

/* Cambios en Cada botón del tab cuando está seleccionado/activo */
.tabs__tabbutton--selected {
    background-color: var(--tabbtn-selectedcolor);
    color: black;
    border-bottom: 0;
    font-weight: bold;
    margin-top: 0;
    border-top: 5px solid var(--color-header-border);
}

.tabbtncolorAlt1 {
    --tabbtn-selectedcolor: var(--color-text-up);
}

/* Cambio estético del contenedor de tabs */
.tabs__content {
    min-height: 30em;
    border: 1px solid var(--tabcolor-border);
    /* border-top: 0; */
    border-radius: 0 0 1rem 1rem;
}


.tabs__tab {

    padding: 1.25rem;

    /* h2 {
        background-color: white;
        color: black;
        border-bottom: 2px solid orange
    } */

    .galeria {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        gap: 1rem;

        img {
            width: 100%;
            /* image-rendering: pixelated; */
        }
    }

}


.gamecardinfo {

    font-size: 1.25rem;
    line-height: 1.5em;

    & blockquote {
        padding-left: 3em;
        border-left: 1em solid var(--color-header-border);
        margin-bottom: 1em;
    }

    & h2 {
        font-family: var(--font-especial);
        font-size: 2rem;
        color: var(--color-text-up);
        padding: 0.5em 0.5em 0.5em 0;
        border-bottom: 1px solid var(--color-text-up);
        margin-bottom: 1em;
    }

    & h3 {
        font-family: var(--font-especial);
        font-size: 1.5rem;
        color: var(--color-text-up);
        padding: 0.5em 0.5em 0.5em 0;
        margin-bottom: 1em;
    }

    & img {
        float: left;
        margin: 0 2em 2em 0;
    }

    & .imgblock {
        float: none;
        display: block;
        margin: 0 auto;
    }

    & p {
        margin-bottom: 1em;
    }

    & ul {
        margin-left: 2em;
        list-style-type: circle;
    }

    & a {
        text-decoration: none;
        color: var(--color-text-up);

        &:hover {
            text-decoration: underline;
        }
    }

    /* ------------------- */
    & .tablaFicha {
        --tblFicha-col-border: var(--color-text-up);
        --tblFicha-col-header-text: black;

        border-collapse: collapse;
        border: 1px solid var(--tblFicha-col-border);
        margin-bottom: 2em;
        width: 100%;

        & th, td {
            padding: 0.5em;
            border: 1px solid var(--tblFicha-col-border);
            vertical-align: middle;

            &.center {
                text-align: center;
            }

            &.right {
                text-align: right;
            }
        }

        & caption {
            display: none;
        }

        & th {
            text-align: center;
            font-weight: bold;
            background-color: var(--tblFicha-col-border);
            color: var(--tblFicha-col-header-text);
            border-right-color: var(--tblFicha-col-header-text);
        }

        & .imgPixelada {
            image-rendering: pixelated;
            /* height: 3em; */
            float: none;
            margin: 0;
            /* width: auto; */

            &.center {
                margin: 0 auto;
            }
        }
    }


}


@media screen and (max-width: 600px) {
    
    .gamecardinfo img {
        float: none;
        width: 100%;
        margin: 0;
    }

}

.gamecardplay {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 3rem;
    column-gap: 1rem;
    padding: 1em;

    a {
        text-decoration: none;
        background-color: var(--color-header-border);
        color: var(--color-text);
        padding: 1em;
        border-radius: 0.4em;
        border: 2px solid black;

        &:hover, &:focus {
            background-color: var(--color-text-up);
            color: var(--color-bg);
        }

        &[active] {
            border-color: var(--color-text-up);
        }
    }
}

.gamecardemulator {
    width: 100%;
    height: 800px;
}

.gamecardtblctrls {
    width: 100%;
    
    th {
        background-color: var(--color-text-up);
        color: black;
        font-weight: bold;
        width: 33%;
    }

    tr {
        text-align: center;
    }

    tr:nth-child(odd) {
        background-color: var(--color-header);
    }

    td {
        padding: 0.5em;
        line-height: 1.5em;
    }

    td:nth-child(3) {
        text-align: left;
    }
}



